﻿/**Begin D:\PDM_UPGRADE\PDM1\TSTPM_constraint.sql **/

 EXEC P_ALTERPK 'PK_TSTPM_RDELIVERY', 'T_TSTPM_RDELIVERY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RDELIVERY_FAPPLY') CREATE INDEX IDX_TSTPM_RDELIVERY_FAPPLY ON T_TSTPM_RDELIVERY ( FAPPLYTIME );


 EXEC P_ALTERPK 'PK_TSTPM_RDELIVERY_A', 'T_TSTPM_RDELIVERY_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RDELIVERY_A') CREATE INDEX IDX_TSTPM_RDELIVERY_A ON T_TSTPM_RDELIVERY_A ( FEMAILSOURCEID );


 EXEC P_ALTERPK 'PK_TSTPM_RSM', 'T_TSTPM_RSM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSM_APPFILE') CREATE INDEX IDX_TSTPM_RSM_APPFILE ON T_TSTPM_RSM ( FAPPFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RESUME_PHONE') CREATE INDEX IDX_TSTPM_RESUME_PHONE ON T_TSTPM_RSM ( FPHONE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RESUME_EMAIL') CREATE INDEX IDX_TSTPM_RESUME_EMAIL ON T_TSTPM_RSM ( FEMAIL );


 EXEC P_ALTERPK 'PK_TSTPM_RSM_A', 'T_TSTPM_RSM_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSM_A') CREATE INDEX IDX_TSTPM_RSM_A ON T_TSTPM_RSM_A ( FCURANLSAL );


 EXEC P_ALTERPK 'PK_TSTPM_RSMACDACHV', 'T_TSTPM_RSMACDACHV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMACDACHV') CREATE INDEX IDX_TSTPM_RSMACDACHV ON T_TSTPM_RSMACDACHV ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMACTVEXP', 'T_TSTPM_RSMACTVEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMACTVEXP_RSMID') CREATE INDEX IDX_TSTPM_RSMACTVEXP_RSMID ON T_TSTPM_RSMACTVEXP ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMAWRHON', 'T_TSTPM_RSMAWRHON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMAWRHON') CREATE INDEX IDX_TSTPM_RSMAWRHON ON T_TSTPM_RSMAWRHON ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMBANKCARD', 'T_TSTPM_RSMBANKCARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMBANKCARD_RSMID') CREATE INDEX IDX_TSTPM_RSMBANKCARD_RSMID ON T_TSTPM_RSMBANKCARD ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMEDUEXP', 'T_TSTPM_RSMEDUEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMEDUEXP_RSMID') CREATE INDEX IDX_TSTPM_RSMEDUEXP_RSMID ON T_TSTPM_RSMEDUEXP ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMEMRGCTC', 'T_TSTPM_RSMEMRGCTC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMEMRGCTC_RSMID') CREATE INDEX IDX_TSTPM_RSMEMRGCTC_RSMID ON T_TSTPM_RSMEMRGCTC ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMFMLMBR', 'T_TSTPM_RSMFMLMBR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMFMLMBR') CREATE INDEX IDX_TSTPM_RSMFMLMBR ON T_TSTPM_RSMFMLMBR ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMHOBBY', 'T_TSTPM_RSMHOBBY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMHOBBY_FID') CREATE INDEX IDX_TSTPM_RSMHOBBY_FID ON T_TSTPM_RSMHOBBY ( FID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMINTEREXP', 'T_TSTPM_RSMINTEREXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMINTEREXP') CREATE INDEX IDX_TSTPM_RSMINTEREXP ON T_TSTPM_RSMINTEREXP ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMLANGABL', 'T_TSTPM_RSMLANGABL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMLANGABL_RSMID') CREATE INDEX IDX_TSTPM_RSMLANGABL_RSMID ON T_TSTPM_RSMLANGABL ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMPATINV', 'T_TSTPM_RSMPATINV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDPATINV_RSMID') CREATE INDEX IDX_TSTPM_STDPATINV_RSMID ON T_TSTPM_RSMPATINV ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMPERF', 'T_TSTPM_RSMPERF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMPERF_RSMID') CREATE INDEX IDX_TSTPM_RSMPERF_RSMID ON T_TSTPM_RSMPERF ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMPRJEXP', 'T_TSTPM_RSMPRJEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMPRJEXP_RSMID') CREATE INDEX IDX_TSTPM_RSMPRJEXP_RSMID ON T_TSTPM_RSMPRJEXP ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMPROSKL', 'T_TSTPM_RSMPROSKL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMPROSKL') CREATE INDEX IDX_TSTPM_RSMPROSKL ON T_TSTPM_RSMPROSKL ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMRSCHPRJ', 'T_TSTPM_RSMRSCHPRJ', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMRSCHPRJ_RSMID') CREATE INDEX IDX_TSTPM_RSMRSCHPRJ_RSMID ON T_TSTPM_RSMRSCHPRJ ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMSCHJOB', 'T_TSTPM_RSMSCHJOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMSCHJOB_RSMID') CREATE INDEX IDX_TSTPM_RSMSCHJOB_RSMID ON T_TSTPM_RSMSCHJOB ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMSOCHP', 'T_TSTPM_RSMSOCHP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMSOCHP_RSMID') CREATE INDEX IDX_TSTPM_RSMSOCHP_RSMID ON T_TSTPM_RSMSOCHP ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMTRNEXP', 'T_TSTPM_RSMTRNEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMTRNEXP_RSMID') CREATE INDEX IDX_TSTPM_RSMTRNEXP_RSMID ON T_TSTPM_RSMTRNEXP ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMVOLEXP', 'T_TSTPM_RSMVOLEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMVOLEXP_RSMID') CREATE INDEX IDX_TSTPM_RSMVOLEXP_RSMID ON T_TSTPM_RSMVOLEXP ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMWORKEXP', 'T_TSTPM_RSMWORKEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMWORKEXP_RSMID') CREATE INDEX IDX_TSTPM_RSMWORKEXP_RSMID ON T_TSTPM_RSMWORKEXP ( FRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_RSMLABEL', 'T_TSTPM_RSMLABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMLABEL') CREATE INDEX IDX_TSTPM_RSMLABEL ON T_TSTPM_RSMLABEL ( FTAGOBJTYPEID ,FTAGOBJID ,FLABELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RSMLABEL_ID') CREATE INDEX IDX_TSTPM_RSMLABEL_ID ON T_TSTPM_RSMLABEL ( FLABELID );


 EXEC P_ALTERPK 'PK_TSTPM_STDRSMLABEL', 'T_TSTPM_STDRSMLABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDRSMLABEL') CREATE INDEX IDX_TSTPM_STDRSMLABEL ON T_TSTPM_STDRSMLABEL ( FTAGOBJTYPEID ,FTAGOBJID ,FLABELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDRSMLABEL_ID') CREATE INDEX IDX_TSTPM_STDRSMLABEL_ID ON T_TSTPM_STDRSMLABEL ( FLABELID );


 EXEC P_ALTERPK 'PK_TSTPM_RESERVERE', 'T_TSTPM_RESERVERE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RESERVERE_FTALPOOLID') CREATE INDEX IDX_TSTPM_RESERVERE_FTALPOOLID ON T_TSTPM_RESERVERE ( FTALPOOLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RESERVERE_FSTDRSMID') CREATE INDEX IDX_TSTPM_RESERVERE_FSTDRSMID ON T_TSTPM_RESERVERE ( FSTDRSMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_RESERVERE_FISVALID') CREATE INDEX IDX_TSTPM_RESERVERE_FISVALID ON T_TSTPM_RESERVERE ( FISVALID );


 EXEC P_ALTERPK 'PK_TSTPM_TALENTPOOLMGT_L', 'T_TSTPM_TALENTPOOLMGT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_TALENTPOOLMGT_L') CREATE INDEX IDX_TSTPM_TALENTPOOLMGT_L ON T_TSTPM_TALENTPOOLMGT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSTPM_TRACERECORD', 'T_TSTPM_TRACERECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_TRACERECORD_SID') CREATE INDEX IDX_TSTPM_TRACERECORD_SID ON T_TSTPM_TRACERECORD ( FSTDRSMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_TRACERECORD_STAID') CREATE INDEX IDX_TSTPM_TRACERECORD_STAID ON T_TSTPM_TRACERECORD ( FJOBSTATUSID );


 EXEC P_ALTERPK 'PK_TSTPM_TRACERECORD_L', 'T_TSTPM_TRACERECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_TRACERECORD_L') CREATE INDEX IDX_TSTPM_TRACERECORD_L ON T_TSTPM_TRACERECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSTPM_SHARER', 'T_TSTPM_SHARER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_SHAR_FUSERID') CREATE INDEX IDX_TSTPM_SHAR_FUSERID ON T_TSTPM_SHARER ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_SHAR_FTMPID') CREATE INDEX IDX_TSTPM_SHAR_FTMPID ON T_TSTPM_SHARER ( FTALENTPOOLID );


 EXEC P_ALTERPK 'PK_TSTPM_TALENTPOOLMGT', 'T_TSTPM_TALENTPOOLMGT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_TAL_FPARENTID') CREATE INDEX IDX_TSTPM_TAL_FPARENTID ON T_TSTPM_TALENTPOOLMGT ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTP_TAL_FRECRUTYPID') CREATE INDEX IDX_TSTP_TAL_FRECRUTYPID ON T_TSTPM_TALENTPOOLMGT ( FRECRUTYPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_TAL_FLONGNUMBER') CREATE INDEX IDX_TSTPM_TAL_FLONGNUMBER ON T_TSTPM_TALENTPOOLMGT ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_TAL_FORGID') CREATE INDEX IDX_TSTPM_TAL_FORGID ON T_TSTPM_TALENTPOOLMGT ( FORGID );

 EXEC P_ALTERPK 'PK_TSTPM_ATTENTION', 'T_TSTPM_ATTENTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_ATTENTION_SID') CREATE INDEX IDX_TSTPM_ATTENTION_SID ON T_TSTPM_ATTENTION ( FATTRESUME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_ATTENTION_FCREATORID') CREATE INDEX IDX_TSTPM_ATTENTION_FCREATORID ON T_TSTPM_ATTENTION ( FCREATORID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_ATTENTION_TYPE') CREATE INDEX IDX_TSTPM_ATTENTION_TYPE ON T_TSTPM_ATTENTION ( FATTRESUMETYPE );

/**End D:\PDM_UPGRADE\PDM1\TSTPM_constraint.sql **/
