﻿/**Begin D:\PDM_UPGRADE\PDM1\TSTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RDELIVERY') 
 CREATE TABLE T_TSTPM_RDELIVERY (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPLYTIME DATETIME,
FDELIVERYPERID BIGINT DEFAULT 0 NOT NULL,
FRECRUCHNLMEDIAID BIGINT DEFAULT 0 NOT NULL,
FAPPMTHDID BIGINT DEFAULT 0 NOT NULL,
FRESACQMTHDID BIGINT DEFAULT 0 NOT NULL,
FRECRUCHNLNMID BIGINT DEFAULT 0 NOT NULL,
FISFILEDISPLAY CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RDELIVERY_A') 
 CREATE TABLE T_TSTPM_RDELIVERY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FEMAILSOURCEID BIGINT DEFAULT 0 NOT NULL,
FEMAILTITLE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FATTACHNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPOSTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLEPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FATTACHPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLECITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FATTACHCITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FASSIGNSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSM') 
 CREATE TABLE T_TSTPM_RSM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYID BIGINT DEFAULT 0 NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPHOTO VARCHAR(255) DEFAULT ' ' NOT NULL,
FGENDER VARCHAR(2) DEFAULT ' ' NOT NULL,
FAGE INT DEFAULT 0 NOT NULL,
FWORKINGYEARS DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME,
FPROPBIRTHDAY DATETIME,
FPARTWT DATETIME,
FJOBSTATUSID BIGINT DEFAULT 0 NOT NULL,
FNATREGID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FHIGHESTEDUSCHOOLID BIGINT DEFAULT 0 NOT NULL,
FHIGHESTEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FHIGHESTDEGREEID BIGINT DEFAULT 0 NOT NULL,
FHESTSPECIALTYCATID BIGINT DEFAULT 0 NOT NULL,
FHIGHESTSPECIALTY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECENTCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECENTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLANGUAGEVERSIONID BIGINT DEFAULT 0 NOT NULL,
FISLANGUAGEVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNATIONID BIGINT DEFAULT 0 NOT NULL,
FPOLITICSSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATETYPEID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCVSTARTDATE DATETIME,
FCVENDINGDATE DATETIME,
FMARITALSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROCREATIONSTATUSID BIGINT DEFAULT 0 NOT NULL,
FEXPCJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
FEXPCFUNCTIONID BIGINT DEFAULT 0 NOT NULL,
FEXPCCITYID BIGINT DEFAULT 0 NOT NULL,
FEXPCARRIVALDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSM_A') 
 CREATE TABLE T_TSTPM_RSM_A (
FID BIGINT DEFAULT 0 NOT NULL,
FRESUMESTOADD VARCHAR(255) DEFAULT ' ' NOT NULL,
FRGSTPRMTRSDID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNATIVEPLACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTRESIDENCEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCOMPAGRRESTR CHAR(1) DEFAULT ' ' NOT NULL,
FISCRIMRECD CHAR(1) DEFAULT ' ' NOT NULL,
FISBUSCONFINTR CHAR(1) DEFAULT ' ' NOT NULL,
FSELFEVALUATION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPARTORG NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEXPTANLSALCURCID BIGINT DEFAULT 0 NOT NULL,
FEXPTANLSAL INT DEFAULT 0 NOT NULL,
FEXPTMONSALCURCID BIGINT DEFAULT 0 NOT NULL,
FEXPTMONSAL INT DEFAULT 0 NOT NULL,
FCURANLSAL INT DEFAULT 0 NOT NULL,
FCURANLSALCURCID BIGINT DEFAULT 0 NOT NULL,
FCURFXDSAL INT DEFAULT 0 NOT NULL,
FCURFXDSALCURCID BIGINT DEFAULT 0 NOT NULL,
FCURBONUS INT DEFAULT 0 NOT NULL,
FCURBONUSCURCID BIGINT DEFAULT 0 NOT NULL,
FCURWELFCURCID BIGINT DEFAULT 0 NOT NULL,
FCURLTICURCID BIGINT DEFAULT 0 NOT NULL,
FCURLTI INT DEFAULT 0 NOT NULL,
FCURWELF INT DEFAULT 0 NOT NULL,
FHOMEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRSMSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMACDACHV') 
 CREATE TABLE T_TSTPM_RSMACDACHV (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FPAPERTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREFERENCECOUNT INT DEFAULT 0 NOT NULL,
FAFLTJOURNAL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOURNALABBR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOURNALGRADE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJOURNALCATEGORY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRSCHDIREC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOAUTHOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPUBDATE DATETIME,
FTUTOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTUTORPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKSURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FWORKSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMACDACHV_L')
 CREATE TABLE T_TSTPM_RSMACDACHV_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FJOURNALGRADE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJOURNALCATEGORY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMACTVEXP') 
 CREATE TABLE T_TSTPM_RSMACTVEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FACTIVITYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FACTIVITYPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FACTIVITYDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMAWRHON') 
 CREATE TABLE T_TSTPM_RSMAWRHON (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FAWARDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAWARDDATE DATETIME,
FAWARDINGUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAWARDDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMBANKCARD') 
 CREATE TABLE T_TSTPM_RSMBANKCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCARDNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMEDUEXP') 
 CREATE TABLE T_TSTPM_RSMEDUEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FLENGTHOFSTUDY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSCHOOLNAMEID BIGINT DEFAULT 0 NOT NULL,
FOTHSCHNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSPECIALTYCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FSPECIALTYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FDEGREEID BIGINT DEFAULT 0 NOT NULL,
FISHIGHESTEDU CHAR(1) DEFAULT ' ' NOT NULL,
FEDUCATIONFORMID BIGINT DEFAULT 0 NOT NULL,
FISFULLTIME CHAR(1) DEFAULT ' ' NOT NULL,
FISDBLDEGREESPECIALTY CHAR(1) DEFAULT ' ' NOT NULL,
FTUTORNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCLASSRANK INT DEFAULT 0 NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPECIALISTRANK INT DEFAULT 0 NOT NULL,
FGRADEPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISHASMAKEUPCOUR CHAR(1) DEFAULT ' ' NOT NULL,
FMAKEUPCOUR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISOVERSEASEXP CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMEMRGCTC') 
 CREATE TABLE T_TSTPM_RSMEMRGCTC (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FEMERGENCYCONTACT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FECRELATIONID BIGINT DEFAULT 0 NOT NULL,
FECPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMFMLMBR') 
 CREATE TABLE T_TSTPM_RSMFMLMBR (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FRELATIONWITHMEID BIGINT DEFAULT 0 NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISOURSTAFF CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMHOBBY') 
 CREATE TABLE T_TSTPM_RSMHOBBY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMINTEREXP') 
 CREATE TABLE T_TSTPM_RSMINTEREXP (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FWORKUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINTERNRESP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWITNESSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMLANGABL') 
 CREATE TABLE T_TSTPM_RSMLANGABL (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLANGUAGENAMEID BIGINT DEFAULT 0 NOT NULL,
FLANGCERTSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLISTANDSPKABLID BIGINT DEFAULT 0 NOT NULL,
FLITERACYID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMPATINV') 
 CREATE TABLE T_TSTPM_RSMPATINV (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FPATENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPATENTCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FINVENTOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPLICATIONDATE DATETIME,
FPTSTARTDATE DATETIME,
FPTENDINGDATE DATETIME,
FCOUNTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPATENTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FPATENTSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPATENTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FPATENTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMPERF') 
 CREATE TABLE T_TSTPM_RSMPERF (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FWORKSDATE DATETIME,
FWORKSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMPRJEXP') 
 CREATE TABLE T_TSTPM_RSMPRJEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FPROJECTDURATION DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROJECTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTRESP NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FPROJECTPERF NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FPROJECTDESC NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FPROJECTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMPROSKL') 
 CREATE TABLE T_TSTPM_RSMPROSKL (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSKILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUSEDURATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMASTERYID BIGINT DEFAULT 0 NOT NULL,
FSKILLDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMRSCHPRJ') 
 CREATE TABLE T_TSTPM_RSMRSCHPRJ (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FRSCHDIREC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMSCHJOB') 
 CREATE TABLE T_TSTPM_RSMSCHJOB (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRESPACHV NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMSOCHP') 
 CREATE TABLE T_TSTPM_RSMSOCHP (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSOCIALHOMEPAGE VARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMTRNEXP') 
 CREATE TABLE T_TSTPM_RSMTRNEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FTRAININGDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRAININGINST NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRAININGCOURSE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRAININGPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATENO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMVOLEXP') 
 CREATE TABLE T_TSTPM_RSMVOLEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FVOLEXP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMWORKEXP') 
 CREATE TABLE T_TSTPM_RSMWORKEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FLENGTHOFWORK DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOMPANYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSCATID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FWORKRESPONSIBILITY NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FWORKACHIEVEMENT NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FISRECWORK CHAR(1) DEFAULT ' ' NOT NULL,
FCOMPANYSIZE INT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYNATUREID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FQUITREASONID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FANNUALSALARY INT DEFAULT 0 NOT NULL,
FUNDERLINGNUMBER INT DEFAULT 0 NOT NULL,
FREPORTOBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RSMLABEL') 
 CREATE TABLE T_TSTPM_RSMLABEL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAGOBJTYPEID BIGINT DEFAULT 0 NOT NULL,
FTAGOBJID BIGINT DEFAULT 0 NOT NULL,
FLABELCATEGORY VARCHAR(2) DEFAULT ' ' NOT NULL,
FLABELID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_STDRSMLABEL') 
 CREATE TABLE T_TSTPM_STDRSMLABEL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAGOBJTYPEID BIGINT DEFAULT 0 NOT NULL,
FTAGOBJID BIGINT DEFAULT 0 NOT NULL,
FLABELCATEGORY VARCHAR(2) DEFAULT ' ' NOT NULL,
FLABELID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_RESERVERE') 
 CREATE TABLE T_TSTPM_RESERVERE (
FID BIGINT DEFAULT 0 NOT NULL,
FTALPOOLID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FRESERVETIME DATETIME,
FRESERVEPERID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISVALID CHAR(1) DEFAULT '0' NOT NULL,
FISMERGE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_TALENTPOOLMGT_L') 
 CREATE TABLE T_TSTPM_TALENTPOOLMGT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_TRACERECORD') 
 CREATE TABLE T_TSTPM_TRACERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FTRACKPERID BIGINT DEFAULT 0 NOT NULL,
FTRACKTIME DATETIME,
FJOBSTATUSID BIGINT DEFAULT 0 NOT NULL,
FTRACKFEED NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMID CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_TRACERECORD_L') 
 CREATE TABLE T_TSTPM_TRACERECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_SHARER') 
 CREATE TABLE T_TSTPM_SHARER (
FID BIGINT DEFAULT 0 NOT NULL,
FTALENTPOOLID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSHARTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_TALENTPOOLMGT') 
 CREATE TABLE T_TSTPM_TALENTPOOLMGT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLONGNUMBER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECRUTYPID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FNODETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSECLEVEL BIGINT DEFAULT 0 NOT NULL,
FPOOLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_OPERAFFAIRS') 
 CREATE TABLE T_TSTPM_OPERAFFAIRS (
FID BIGINT DEFAULT 0 NOT NULL,
FSOURCEAPP VARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBO VARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATEUSER BIGINT DEFAULT 0 NOT NULL,
FOPERATEDATE DATETIME,
FEVENTCATEGORY VARCHAR(100) DEFAULT ' ' NOT NULL,
FEVENTSTATUS VARCHAR(100) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_MSGLOG') 
 CREATE TABLE T_TSTPM_MSGLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSOURCEBO BIGINT DEFAULT 0 NOT NULL,
FUPDATERSMTIME DATETIME,
FSENDTIME DATETIME,
FMESSAGEID BIGINT DEFAULT 0 NOT NULL,
FSOURCEENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FSENDSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FMSGSCENE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISLATESTMSG CHAR(1) DEFAULT ' ' NOT NULL,
FSENDRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FMSGCHANNEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FMSGCHANNELLIST VARCHAR(100) DEFAULT ' ' NOT NULL
);








IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_ATTENTION') 
 CREATE TABLE T_TSTPM_ATTENTION (
FID BIGINT DEFAULT 0 NOT NULL,
FATTRESUME BIGINT DEFAULT 0 NOT NULL,
FATTRESUMETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


/**Begin D:\PDM_UPGRADE\PDM1\TSTPM_table.sql **/




/**End D:\PDM_UPGRADE\PDM1\TSTPM_table.sql **/




/**End D:\PDM_UPGRADE\PDM1\TSTPM_table.sql **/
