﻿/**Begin D:\PDM_UPGRADE\PDM1\TSTPM_constraint.sql **/
 EXEC P_ALTERPK 'PK_TSTPM_BUSIEVENTRELTPL', 'T_TSTPM_BUSIEVENTRELTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_BUSIEVENTRELTPL') CREATE INDEX IDX_TSTPM_BUSIEVENTRELTPL ON T_TSTPM_BUSIEVENTRELTPL ( FSOURCEENTITY ,FBOID );


 EXEC P_ALTERPK 'PK_TSTPM_CHEDUPRULER', 'T_TSTPM_CHEDUPRULER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_CHEDUPRULER_BIZTYPE') CREATE INDEX IDX_TSTPM_CHEDUPRULER_BIZTYPE ON T_TSTPM_CHEDUPRULER ( FBIZTYPE );


 EXEC P_ALTERPK 'PK_TSTPM_CHEDUPRULER_L', 'T_TSTPM_CHEDUPRULER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_CHEDUPRULER_L') CREATE INDEX IDX_TSTPM_CHEDUPRULER_L ON T_TSTPM_CHEDUPRULER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSTPM_CHEDUPENTITY', 'T_TSTPM_CHEDUPENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_CHEDUPENTITY') CREATE INDEX IDX_TSTPM_CHEDUPENTITY ON T_TSTPM_CHEDUPENTITY ( FID );


 EXEC P_ALTERPK 'PK_TSTPM_EVENTRELHISTPL', 'T_TSTPM_EVENTRELHISTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_EVENTRELHISTPL') CREATE INDEX IDX_TSTPM_EVENTRELHISTPL ON T_TSTPM_EVENTRELHISTPL ( FVID );


 EXEC P_ALTERPK 'PK_TSTPM_EVENTTPL', 'T_TSTPM_EVENTTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_EVENTTPL') CREATE INDEX IDX_TSTPM_EVENTTPL ON T_TSTPM_EVENTTPL ( FCANCELEDEVENTID );


 EXEC P_ALTERPK 'PK_TSTPM_STDEDUEXP', 'T_TSTPM_STDEDUEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDEDUEXP_STDRSMID') CREATE INDEX IDX_TSTPM_STDEDUEXP_STDRSMID ON T_TSTPM_STDEDUEXP ( FSTDRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_STDPRJEXP', 'T_TSTPM_STDPRJEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDPRJEXP_STDRSMID') CREATE INDEX IDX_TSTPM_STDPRJEXP_STDRSMID ON T_TSTPM_STDPRJEXP ( FSTDRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_STDWORKEXP', 'T_TSTPM_STDWORKEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDWORKEXP_STDRSMID') CREATE INDEX IDX_TSTPM_STDWORKEXP_STDRSMID ON T_TSTPM_STDWORKEXP ( FSTDRSMID );


 EXEC P_ALTERPK 'PK_TSTPM_STDRSM', 'T_TSTPM_STDRSM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDRSM_PHONE') CREATE INDEX IDX_TSTPM_STDRSM_PHONE ON T_TSTPM_STDRSM ( FPHONE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDRSM_EMAIL') CREATE INDEX IDX_TSTPM_STDRSM_EMAIL ON T_TSTPM_STDRSM ( FEMAIL );


 EXEC P_ALTERPK 'PK_TSTPM_STDRSM_A', 'T_TSTPM_STDRSM_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDRSM_A_PHONE') CREATE INDEX IDX_TSTPM_STDRSM_A_PHONE ON T_TSTPM_STDRSM_A ( FHOMEPHONE );

 EXEC P_ALTERPK 'PK_TSTPM_STDRSMSIMILAR', 'T_TSTPM_STDRSMSIMILAR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_STDRSMSIMILAR_STD') CREATE INDEX IDX_TSTPM_STDRSMSIMILAR_STD ON T_TSTPM_STDRSMSIMILAR ( FSTDRSMID );

EXEC P_ALTERPK 'PK_TSTPM_HOBBY', 'T_TSTPM_HOBBY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTPM_HOBBY_FID') CREATE INDEX IDX_TSTPM_HOBBY_FID ON T_TSTPM_HOBBY ( FID );

/**End D:\PDM_UPGRADE\PDM1\TSTPM_constraint.sql **/
