﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TSTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSTPM_RSM' AND KSQL_COL_NAME ='FCERTIFICATENUMBER_ENP') 
 ALTER TABLE T_TSTPM_RSM ADD (FCERTIFICATENUMBER_ENP NCLOB );
 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TSTPM_table.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\TSTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_BUSIEVENTRELTPL') 
 CREATE TABLE T_TSTPM_BUSIEVENTRELTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSOURCEENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISBUSINESSEVENTBO VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
FOPERATEDATE DATETIME,
FEVENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_CHEDUPRULER') 
 CREATE TABLE T_TSTPM_CHEDUPRULER (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FHANDLERCLASS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET VARCHAR(1) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIZTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FDUPLICATETYPE VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_CHEDUPRULER_L') 
 CREATE TABLE T_TSTPM_CHEDUPRULER_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_CHEDUPENTITY') 
 CREATE TABLE T_TSTPM_CHEDUPENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBLOCK VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBLOCKMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_EVENTRELHISTPL') 
 CREATE TABLE T_TSTPM_EVENTRELHISTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FPRESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FPREBSED DATETIME,
FPREBSLED DATETIME,
FBUSIEVENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_EVENTTPL') 
 CREATE TABLE T_TSTPM_EVENTTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FEVENTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FEXECUTEWAY VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTBATCHTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
FOPERATEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_STDEDUEXP') 
 CREATE TABLE T_TSTPM_STDEDUEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FLENGTHOFSTUDY INT DEFAULT 0 NOT NULL,
FSCHOOLNAMEID BIGINT DEFAULT 0 NOT NULL,
FOTHSCHNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSPECIALTYCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FSPECIALTYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FDEGREEID BIGINT DEFAULT 0 NOT NULL,
FISHIGHESTEDU CHAR(1) DEFAULT ' ' NOT NULL,
FEDUCATIONFORMID BIGINT DEFAULT 0 NOT NULL,
FISFULLTIME CHAR(1) DEFAULT ' ' NOT NULL,
FISDBLDEGREESPECIALTY CHAR(1) DEFAULT ' ' NOT NULL,
FTUTORNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCLASSRANK INT DEFAULT 0 NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPECIALISTRANK INT DEFAULT 0 NOT NULL,
FGRADEPOINT DECIMAL(19,2) DEFAULT 0 NOT NULL,
FISHASMAKEUPCOUR CHAR(1) DEFAULT ' ' NOT NULL,
FMAKEUPCOUR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISOVERSEASEXP CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_STDPRJEXP') 
 CREATE TABLE T_TSTPM_STDPRJEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FPROJECTDURATION INT DEFAULT 0 NOT NULL,
FPROJECTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTRESP NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FPROJECTPERF NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FPROJECTDESC NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FPROJECTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_STDWORKEXP') 
 CREATE TABLE T_TSTPM_STDWORKEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FLENGTHOFWORK INT DEFAULT 0 NOT NULL,
FCOMPANYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPOSITIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSCATID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FWORKRESPONSIBILITY NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FWORKACHIEVEMENT NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FISRECWORK CHAR(1) DEFAULT ' ' NOT NULL,
FCOMPANYSIZE INT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYNATUREID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FQUITREASONID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FANNUALSALARY INT DEFAULT 0 NOT NULL,
FUNDERLINGNUMBER INT DEFAULT 0 NOT NULL,
FREPORTOBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_STDRSM') 
 CREATE TABLE T_TSTPM_STDRSM (
FID BIGINT DEFAULT 0 NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGENDER VARCHAR(2) DEFAULT ' ' NOT NULL,
FAGE INT DEFAULT 0 NOT NULL,
FWORKINGYEARS INT DEFAULT 0 NOT NULL,
FPARTWT DATETIME,
FJOBSTATUSID BIGINT DEFAULT 0 NOT NULL,
FNATREGID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FHIGHESTEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FHIGHESTEDUSCHOOLID BIGINT DEFAULT 0 NOT NULL,
FHIGHESTSPECIALTY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECENTCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECENTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FNATIONID BIGINT DEFAULT 0 NOT NULL,
FPOLITICSSTATUSID BIGINT DEFAULT 0 NOT NULL,
FEXPCFUNCTIONID BIGINT DEFAULT 0 NOT NULL,
FEXPCCITYID BIGINT DEFAULT 0 NOT NULL,
FMID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FTRACKTIME DATETIME,
FISMERGE CHAR(1) DEFAULT ' ' NOT NULL,
FPOSITIONNUM INT DEFAULT 0 NOT NULL,
FRECSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECRUCHNLNMID BIGINT DEFAULT 0 NOT NULL,
FTALENTPOOLNUM INT DEFAULT 0 NOT NULL,
FSUSPHOTO VARCHAR(2) DEFAULT ' ' NOT NULL,
FLABLEINFO BIGINT DEFAULT 0 NOT NULL,
FWORKINGYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATARANGE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCONTACT VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSITION BIGINT DEFAULT 0 NOT NULL,
FATTENTION VARCHAR(2) DEFAULT ' ' NOT NULL,
FRGSTPRMTRSDID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTRESIDENCEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FEDUCATIONFORMID BIGINT DEFAULT 0 NOT NULL,
FPOSCATID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FACTIVATIONMODEID BIGINT DEFAULT 0 NOT NULL,
FACTIVATIONTIME DATETIME,
FSTDRSMUPDTIME DATETIME,
FRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
FRECRUSTATID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_STDRSM_A') 
 CREATE TABLE T_TSTPM_STDRSM_A (
FID BIGINT DEFAULT 0 NOT NULL,
FNATIVEPLACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCOMPAGRRESTR CHAR(1) DEFAULT ' ' NOT NULL,
FISCRIMRECD CHAR(1) DEFAULT ' ' NOT NULL,
FISBUSCONFINTR CHAR(1) DEFAULT ' ' NOT NULL,
FSELFEVALUATION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPARTORG NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISFRESHGRADUATE CHAR(1) DEFAULT ' ' NOT NULL,
FEXPTANLSALCURCID BIGINT DEFAULT 0 NOT NULL,
FEXPTANLSAL INT DEFAULT 0 NOT NULL,
FEXPTMONSALCURCID BIGINT DEFAULT 0 NOT NULL,
FEXPTMONSAL INT DEFAULT 0 NOT NULL,
FCURANLSALCURCID BIGINT DEFAULT 0 NOT NULL,
FCURANLSAL INT DEFAULT 0 NOT NULL,
FCURFXDSALCURCID BIGINT DEFAULT 0 NOT NULL,
FCURFXDSAL INT DEFAULT 0 NOT NULL,
FCURBONUSCURCID BIGINT DEFAULT 0 NOT NULL,
FCURBONUS INT DEFAULT 0 NOT NULL,
FCURWELFCURCID BIGINT DEFAULT 0 NOT NULL,
FCURWELF INT DEFAULT 0 NOT NULL,
FCURLTICURCID BIGINT DEFAULT 0 NOT NULL,
FCURLTI INT DEFAULT 0 NOT NULL,
FHOMEPHONE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPHOTO VARCHAR(255) DEFAULT ' ' NOT NULL,
FBIRTHDAY DATETIME,
FHIGHESTDEGREEID BIGINT DEFAULT 0 NOT NULL,
FHESTSPECIALTYCATID BIGINT DEFAULT 0 NOT NULL,
FLANGUAGEVERSIONID BIGINT DEFAULT 0 NOT NULL,
FISLANGUAGEVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATETYPEID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCVSTARTDATE DATETIME,
FCVENDINGDATE DATETIME,
FMARITALSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROCREATIONSTATUSID BIGINT DEFAULT 0 NOT NULL,
FEXPCJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
FEXPCARRIVALDATE DATETIME,
FPROPBIRTHDAY DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_STDRSMSIMILAR')
 CREATE TABLE T_TSTPM_STDRSMSIMILAR (
FID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FSIMILARRSM BIGINT DEFAULT 0 NOT NULL,
FSTDRSMHIS BIGINT DEFAULT 0 NOT NULL,
FDUPLICATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSTPM_HOBBY')
 CREATE TABLE T_TSTPM_HOBBY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TSTPM_table.sql **/
